dst.defineClass("com.dst.slms.proapproval.monmarkmange.monMarkMangeList", dst.framework.coreBillBaseList, {
	initalizeDOM:function(){
		com.dst.slms.proapproval.monmarkmange.monMarkMangeList.superClass.initalizeDOM.call(this);
	},
	clickTreeAction:function(event, treeId, treeNode){
		var _self = this;
		var filter = _self.getDefaultFilterItems();
		var zTree = $.fn.zTree.getZTreeObj("orgTree");       
		var childNodes = zTree.transformToArray(treeNode); 

        var nodes = new Array(); 

        for(i = 0; i < childNodes.length; i++) { 
        	nodes[i] = childNodes[i].value; 
        } 
        filter['selectTreeId']= nodes.join(",");
        $(_self.gridId).datagrid('reload');
	},
	/**
	 * 新增
	 */
	addNewAction: function(event,width,height,tabOpen) {
		var treeObj = $.fn.zTree.getZTreeObj("orgTree");
		var nodes = treeObj.getSelectedNodes();
		if(nodes!=undefined&&nodes.length>0){
			var parentId = nodes[0].parentId;//取对应对象里面的属性值
			if(nodes[0].isParent){
				dst.tip(
						{
							message: "请选择项目新增",code:200
						}); 
			}else{
				var data = this.uiPutContext('addNewAction');
				var id;
				this.createJson(data,'oprtState','ADDNEW');
				var urlparms ={
						url:this.uipk,
						method:'addPage',
						param:{id:encodeURIComponent(nodes[0].value)},
				};
				dst.openBillWindow(this.title,dst.getContextPath()+'/'+dst.getAjaxUrlForParms(urlparms),width,height,this,tabOpen) 
			}
		}else{
			dst.tip(
					{
						message: "请选择项目新增",code:200
					});
		}

	},
});